Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2006765 - Review Request: libi2cd - C library for interacting with linux I2C devices
Summary: Review Request: libi2cd - C library for interacting with linux I2C devices
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2021-09-22 11:07 UTC by Peter Robinson
Modified: 2022-01-23 12:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-23 12:06:33 UTC
Type: Bug
Embargoed:
pemensik: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2021-09-22 11:07:42 UTC
SPEC: https://pbrobinson.fedorapeople.org/libi2cd.spec
SRPM: https://pbrobinson.fedorapeople.org/libi2cd-1.0-1.fc34.src.rpm

Description:
libi2cd provides a simple and straightforward API for accessing I2C devices from
userspace. It relies on the i2c-dev Linux kernel module and is intended to
complement existing tools and libraries, such as those provided by i2c-tools.
It provides both high- and low-level access to the underlying ioctl requests.

FAS: pbrobinson

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=76078333

Comment 1 Petr Menšík 2022-01-13 22:03:30 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues
======

- Not latest release used - 1.0.3 available


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU Lesser General Public License, Version 2.1", "Unknown or
     generated", "*No copyright* GNU Lesser General Public License v2.1 or
     later", "GNU Lesser General Public License v2.1 or later", "FSF All
     Permissive License". 8 files have unknown license. Detailed output of
     licensecheck in
     /home/reviewer/fedora/rawhide/2006765-libi2cd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libi2cd-1.0-1.fc36.x86_64.rpm
          libi2cd-devel-1.0-1.fc36.x86_64.rpm
          libi2cd-debuginfo-1.0-1.fc36.x86_64.rpm
          libi2cd-debugsource-1.0-1.fc36.x86_64.rpm
          libi2cd-1.0-1.fc36.src.rpm
libi2cd.x86_64: W: spelling-error %description -l en_US dev -> deb, derv, div
libi2cd-devel.x86_64: W: no-documentation
libi2cd.src: W: spelling-error %description -l en_US dev -> deb, derv, div
5 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libi2cd-debuginfo-1.0-1.fc36.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/sstallion/libi2cd/archive/v1.0.tar.gz#/libi2cd-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 691dcc26bc69bc67abec219376306ba4e6c6f937aaa3716a4837ab772055628a
  CHECKSUM(SHA256) upstream package : 691dcc26bc69bc67abec219376306ba4e6c6f937aaa3716a4837ab772055628a


Requires
--------
libi2cd (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

libi2cd-devel (rpmlib, GLIBC filtered):
    libi2cd(x86-64)
    libi2cd.so.0()(64bit)

libi2cd-debuginfo (rpmlib, GLIBC filtered):

libi2cd-debugsource (rpmlib, GLIBC filtered):



Provides
--------
libi2cd:
    libi2cd
    libi2cd(x86-64)
    libi2cd.so.0()(64bit)

libi2cd-devel:
    libi2cd-devel
    libi2cd-devel(x86-64)

libi2cd-debuginfo:
    debuginfo(build-id)
    libi2cd-debuginfo
    libi2cd-debuginfo(x86-64)
    libi2cd.so.0.0.0-1.0-1.fc36.x86_64.debug()(64bit)

libi2cd-debugsource:
    libi2cd-debugsource
    libi2cd-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2006765
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Perl, Haskell, PHP, fonts, Ocaml, Python, SugarActivity, R, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Peter Robinson 2022-01-13 22:23:28 UTC
> - Not latest release used - 1.0.3 available

Is this the only issue it's not approved? It's a should item, not a must, and the request was filed 4 months ago, I'll update to the latest version when it's approved.

Comment 3 Petr Menšík 2022-01-14 10:56:16 UTC
Yes, there are 3 releases not included and they are about 3 months old. I think you will update spec anyway, is it too much to ask that before giving review+?

Also there are some tests. It seems they need some device, but I think %bcond_with check might enable them on manual 'fedpkg local --with check' rebuilds. Could that be included but disabled on normal builds too?

Comment 4 Peter Robinson 2022-01-14 11:50:03 UTC
(In reply to Petr Menšík from comment #3)
> Yes, there are 3 releases not included and they are about 3 months old. I
> think you will update spec anyway, is it too much to ask that before giving
> review+?

It's optional, I don't see how bumping to the latest release for the review materially makes any difference to the review and in the guidelines that is optional. It's more work for me and I'll just do it before I push it to koji.

> Also there are some tests. It seems they need some device, but I think
> %bcond_with check might enable them on manual 'fedpkg local --with check'
> rebuilds. Could that be included but disabled on normal builds too?

Which will fail if the local machine is a VM or doesn't have i2c. I don't see it actually provides any value hence why it wasn't added.

Neither of those are a valid reason to block a review.

Comment 5 Petr Menšík 2022-01-20 20:27:29 UTC
I don't like your attitude. You refuse even simple improvements to spec file, because it is not mandatory. Well, it is not mandatory for me as a reviewer to give you review+. I have seriously considered just unassigning myself and leaving such review to someone else.

You were helpful to me when I were playing with Raspberry Pi on fedora-arm channel. I would finish the review as thanks for that. But I don't think I requested something extra. I would not finish it for someone else. I think rebase and sftp fedorapeople.org; mput *.spec is not too much to ask.

I think having fedpkg local --with check prepared for rebases is useful. I would want to have it in my package, but you would maintain this package. It would simplify basic test on a real device.

Passing the review.

Comment 6 Gwyn Ciesla 2022-01-21 14:27:43 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libi2cd

Comment 7 Peter Robinson 2022-01-23 12:06:33 UTC
(In reply to Petr Menšík from comment #5)
> I don't like your attitude. You refuse even simple improvements to spec
> file, because it is not mandatory. Well, it is not mandatory for me as a
> reviewer to give you review+. I have seriously considered just unassigning
> myself and leaving such review to someone else.

Me having a different opinion to yours doesn't mean I have a bad attitude. There's a difference. With the update you put there I would have preferred you did walk away but here we are.

A minor bugfix release won't substantially change the package and hence it won't impact the review. The review has sat there for 4 months to update it for each minor bump takes time and that IMO is a waste. Now if there was a major bump with API change I would have completely updated it, probably long before you came along.

In the case of the check, from my experience (I have been packaging rpms since 1996) if it's not run all the time it just rots as in reality no one runs it locally. In the case of running it on say a VM which doesn't have i2c (and I do a lot of building on VMs) it would fail.


Note You need to log in before you can comment on or make changes to this bug.